e-Invoice APIEnvironment:
API Reference
Overview
Authentication
Authentication RequestGET
Get GSTN Details
Get Sync GSTIN From CP
Generate IRN
Get EInvoice Details
Get IRN details by Doc Details
Cancel IRN
Get Rejected IRNs
Generate Ewaybill
Get Ewaybill Details by IRN
Get B2C QR Code Details

e-Invoice Authentication Token API

GEThttps://apisandbox.whitebooks.in/einvoice/authenticate

Authentication Request

Parameters

query parameters
emailstringrequired
User Email
header parameters
usernamestringrequired
User Name
passwordstringrequired
Password
ip_addressstringrequired
IP Address
client_idstringrequired
Client ID
client_secretstringrequired
Client Secret
gstinstringrequired
GSTIN number

Response

Not Found. If requested entity is not found or if requested API is not found.

Frequently Asked Questions

Requests are submitted via HTTP GET to /einvoice/authenticate. Required parameters: email (query parameter), username (header parameter), password (header parameter), ip_address (header parameter), client_id (header parameter), client_secret (header parameter), gstin (header parameter). No request body payload is required for this call.
For Authentication Request (GET /einvoice/authenticate), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).
Authentication Request
GET/einvoice/authenticate
1const response = await fetch('https://apisandbox.whitebooks.in/einvoice/authenticate?email=value', {
2 method: 'GET',
3 headers: {
4 username: "value",
5 password: "value",
6 ip_address: "value",
7 client_id: "value",
8 client_secret: "value",
9 gstin: "value"
10},
11});
12
13const data = await response.json();
14console.log(data);
No example available.